﻿Option Strict On
Imports System.Xml.Linq
Partial Public Class PersonalInfoDetails
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Dim myReadXmldoc As New ReadXmldoc
    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)
        Dim myParam As IDictionary(Of String, String) = NavigationContext.QueryString
        Dim Index As Integer = Integer.Parse(myParam("personalInfoIndex"))
        Dim namae As String = myReadXmldoc.personalInfo.Descendants("情報")(Index).<氏名>.Value
        Dim age As String = myReadXmldoc.personalInfo.Descendants("情報")(Index).<年齢>.Value
        Dim address As String = myReadXmldoc.personalInfo.Descendants("情報")(Index).<住所>.Value
        Dim company As String = myReadXmldoc.personalInfo.Descendants("情報")(Index).<勤務先>.Value

        TextBlock1.Text = "【氏　名】" & namae & ChrW(10) & "【年　齢】" & age & ChrW(10) & "【住　所】" & address & ChrW(10) & "【勤務先】" & company
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button1.Click
        NavigationService.Navigate(New Uri("/MainPage.xaml", UriKind.Relative))
    End Sub

    Private Sub PersonalInfoDetails_OrientationChanged(sender As Object, e As Microsoft.Phone.Controls.OrientationChangedEventArgs) Handles MyBase.OrientationChanged
        TextBlock1.Width = Me.ActualWidth
    End Sub

    Protected Overrides Sub OnBackKeyPress(ByVal e As System.ComponentModel.CancelEventArgs)
        e.Cancel = True
        NavigationService.Navigate(New Uri("/MainPage.xaml?PivotIndex=1", UriKind.Relative))
        MyBase.OnBackKeyPress(e)
    End Sub


End Class
