﻿Option Strict On
Imports System.Xml.Linq
Partial Public Class myFavoritSite
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Dim myReadXmldoc As New ReadXmldoc
    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button1.Click
        NavigationService.Navigate(New Uri("/MainPage.xaml", UriKind.Relative))
    End Sub

    Private Sub myFavoritSite_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Dim myParam As IDictionary(Of String, String) = NavigationContext.QueryString
        Dim Index As Integer = Integer.Parse(myParam("siteIndex"))
        Dim siteName As String = myReadXmldoc.favoriteSite.Descendants("サイト名")(Index).Value
        Dim siteUri As String = myReadXmldoc.favoriteSite.Descendants("サイト名")(Index).Attribute("uri").Value
        PageTitle.Text = siteName
        WebBrowser1.Navigate(New Uri(siteUri, UriKind.Absolute))
    End Sub

    Private Sub myFavoritSite_OrientationChanged(sender As Object, e As Microsoft.Phone.Controls.OrientationChangedEventArgs) Handles MyBase.OrientationChanged
        WebBrowser1.Width = Me.ActualWidth
    End Sub

    Protected Overrides Sub OnBackKeyPress(ByVal e As System.ComponentModel.CancelEventArgs)
        e.Cancel = True
        NavigationService.Navigate(New Uri("/MainPage.xaml?PivotIndex=2", UriKind.Relative))
        MyBase.OnBackKeyPress(e)
    End Sub


End Class
