﻿Option Strict On
Imports System.Xml.Linq
Public Class ImageInfo_comment
    Property 画像名 As String
    Property 説明 As String
End Class
Partial Public Class ImageComment
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub
    Dim myReadXmldoc As New ReadXmldoc
    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)

        Dim myParam As IDictionary(Of String, String) = NavigationContext.QueryString
        Dim Index As Integer = Integer.Parse(myParam("Index"))
        PageTitle.Text = myReadXmldoc.photo.Descendants("情報")(Index).Element("画像名").Attribute("タイトル").Value

        Dim myImageInfo As New List(Of ImageInfo_comment)

        myImageInfo.Add(New ImageInfo_comment With {.画像名 = "Image/" & myReadXmldoc.photo.Descendants("情報")(Index).Element("画像名").Value,
                                                    .説明 = myReadXmldoc.photo.Descendants("情報")(Index).Element("説明").Value})

        ListBox1.ItemsSource = myImageInfo
   
    End Sub

    Private Sub PageBack(ByVal sender As Object, ByVal e As EventArgs)
        NavigationService.Navigate(New Uri("/MainPage.xaml", UriKind.Relative))
    End Sub

    Protected Overrides Sub OnBackKeyPress(ByVal e As System.ComponentModel.CancelEventArgs)
        e.Cancel = True
        NavigationService.Navigate(New Uri("/MainPage.xaml", UriKind.Relative))
        MyBase.OnBackKeyPress(e)
    End Sub
End Class
